using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using AutomatizovanySklad.Core.Entity;
using Web.Models.Subjekt;

namespace Web.Models.DodaciList {
  public class DodaciListEditModel : LayoutModel {

    public int Id { get; set; }

    [Display(Name = "Celková cena dodacího listu")]
    public double CelkovaCena { get; set; } = 0;

    [Required]
    [Display(Name = "Kód dodacího listu *")]
    [StringLength(60, ErrorMessage = "Kód nesmí být delší jak 60 znaků.")]
    [Remote("ExistujeDodaciListEditace", "DodaciList", ErrorMessage = "Kód je již použit", AdditionalFields = "Id")]
    public string KodDodacihoListu { get; set; }

    [Required]
    public List<DodaciListZaznamModel> Zaznamy { get; set; } = new List<DodaciListZaznamModel>();

    [Display(Name = "Typ Transakce *")]
    public TypTransakce TypTransakce { get; set; }

    [Display(Name = "Vybraný subjekt *")]
    public int VybranySubjektId { get; set; }

    public IEnumerable<SelectListItem> VybranySubjekt { get; set; }

    public DateTime DatumVytvoreni { get; set; }

    public int VytvorilId { get; set; }

    public DateTime? DatumUpravy { get; set; }

    public int UpravilId { get; set; }

    [Display(Name = "Info o modifikaci")]
    public string InfoOModifikaci { get; set; }

    public List<Soubor> Soubory { get; set; } = new List<Soubor>();

    public SubjektModel Subjekt { get; set; }
  }
}